Overview | Package | Class | Tree | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.sun.mdm.index.configurator.impl.standardization
Class PreparsedFieldGroup

    java.lang.Object
      com.sun.mdm.index.configurator.impl.standardization.StandardizationFieldGroup
          com.sun.mdm.index.configurator.impl.standardization.PreparsedFieldGroup

public class PreparsedFieldGroup
extends StandardizationFieldGroup

Represents the configuration for a 'structures to normalize' field group, referred to in this class as a 'pre-parsed' field group as the standardization process consists of two stages: parsing and normalizing. This group represents a structure which already fits the standardized structure and only needs normalizing.

Constructor Summary
`PreparsedFieldGroup(java.util.LinkedHashMap aSourceFieldsDirectMap, java.lang.String aConcatenationDelimiter, java.util.LinkedHashMap aStandardizationTargets, java.util.HashMap aLocales, java.lang.String aStandardizationType, java.lang.String aDomainSelector, SystemObjectField aLocaleField)` Creates new PreparsedFieldGroup.
`PreparsedFieldGroup(java.util.LinkedHashMap aSourceFieldsDirectMap, java.lang.String aConcatenationDelimiter, java.util.LinkedHashMap aStandardizationTargets, java.lang.String aStandardizationType, java.lang.String aDomainSelector)` Creates new PreparsedFieldGroup

Method Summary
`java.util.LinkedHashMap` | `getSourceFieldsDirectMap()` Gets the configuration for the the direct mapping from the system object field to the match engine specific Standardized object field ID String.

Methods inherited from class com.sun.mdm.index.configurator.impl.standardization.StandardizationFieldGroup
`getConcatenationDelimiter, getDomainSelector, getLocaleField, getLocales, getStandardizationTargets, getStandardizationType`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### PreparsedFieldGroup

    public PreparsedFieldGroup(java.util.LinkedHashMap aSourceFieldsDirectMap,
                               java.lang.String aConcatenationDelimiter,
                               java.util.LinkedHashMap aStandardizationTargets,
                               java.util.HashMap aLocales,
                               java.lang.String aStandardizationType,
                               java.lang.String aDomainSelector,
                               SystemObjectField aLocaleField)
                        throws java.lang.ClassNotFoundException,
                               java.lang.InstantiationException,
                               java.lang.IllegalAccessException

  Creates new PreparsedFieldGroup.

  Parameters:
    `aSourceFieldsDirectMap` - The mapping from the SystemObjectField to the Standardized object field ID String.
    `aConcatenationDelimiter` - The concatenation delimiter to use if required.
    `aStandardizationTargets` - The fields to write the standardized structure to.
    `aLocales` - The hash map containing the locale mappings.
    `aStandardizationType` - The standardization engine specific standardization.
    `aDomainSelector` - The default domain selector.
    `aLocaleField` - The field containing the locale information type identifying the entry to standardize to the standardization engine.
  Throws:
    `java.lang.ClassNotFoundException` - if a class is not found.
    `java.lang.InstantiationException` - if there is an InstantiationException.
    `java.lang.IllegalAccessException` - if there is an IllegalAccessException.

### PreparsedFieldGroup

    public PreparsedFieldGroup(java.util.LinkedHashMap aSourceFieldsDirectMap,
                               java.lang.String aConcatenationDelimiter,
                               java.util.LinkedHashMap aStandardizationTargets,
                               java.lang.String aStandardizationType,
                               java.lang.String aDomainSelector)
                        throws java.lang.ClassNotFoundException,
                               java.lang.InstantiationException,
                               java.lang.IllegalAccessException

  Creates new PreparsedFieldGroup

  Parameters:
    `aSourceFieldsDirectMap` - The mapping from the SystemObjectField to the Standardized object field ID String.
    `aConcatenationDelimiter` - The concatenation delimiter to use if required.
    `aStandardizationTargets` - The fields to write the standardized structure to.
    `aStandardizationType` - The standardization engine specific standardization type identifying the entry to standardize to the standardization engine.
    `aDomainSelector` - The default domain selector.
  Throws:
    `java.lang.ClassNotFoundException` - if a class is not found.
    `java.lang.InstantiationException` - if there is an InstantiationException.
    `java.lang.IllegalAccessException` - if there is an IllegalAccessException.

Method Detail

### getSourceFieldsDirectMap

    public java.util.LinkedHashMap getSourceFieldsDirectMap()

  Gets the configuration for the the direct mapping from the system object field to the match engine specific Standardized object field ID String.

  Returns:
    the LinkedHashMap (to retain the right ordering) with the mapping from the SystemObjectField to the Standardized object field ID String

Overview | Package | Class | Tree | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Sun Microsystems, Inc.